#### D.15.2.18 exceptionalHypersurface

Procedure from library `arnold.lib` (see arnold_lib).

Usage:
  exceptionalHypersurface(N); N NormalForm of which the field N.exceptionalHypersurface is filled using @ref(determineNormalForm) and using @ref(determineExceptionalHypersurface)

Return:
  N.exceptionalHypersurface

Example:

    LIB "arnold.lib";
    ring R = 0,(x,y,z),ds;
    poly g = x^2*y^4+y^2*x^4+5*x^(10)+y^(11)+z^2;
    poly phix = x+y^2+x^2+x*y+x^2*y+x*y^3;
    poly phiy = y+y^2+2*x^2+x*y+y*x^2+y^2*x+x*y^4;
    poly phiz = z+2x+x^2+y^4*x;
    map phi = R,phix,phiy,phiz;
    g = phi(g);
    Poly F = makePoly(g);
    NormalForm N= determineNormalForm(F);
    N=determineExceptionalHypersurface(N);
    exceptionalHypersurface(N);
    ==> a(4)*a(5)^2*a(6)-4*a(4)^2*a(6)^2
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.